## ros-lunar-swri-prefix-tools 2.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(swri_prefix_tools)

find_package(catkin REQUIRED)
catkin_package()

install(PROGRAMS xterm_prefix
                 xterm_prefix_callgrind
                 xterm_prefix_callgrind_wait
                 xterm_prefix_gdb
                 xterm_prefix_hold
                 xterm_prefix_normal
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-lunar-swri-prefix-tools (2.9.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-lunar-swri-prefix-tools (2.8.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-lunar-swri-prefix-tools (2.7.3-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-lunar-swri-prefix-tools (2.7.2-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-lunar-swri-prefix-tools (2.7.1-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-lunar-swri-prefix-tools (2.7.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-lunar-swri-prefix-tools (2.6.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-lunar-swri-prefix-tools (2.5.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-lunar-swri-prefix-tools (2.4.0-1stretch) stretch; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-lunar-swri-prefix-tools (2.3.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-lunar-swri-prefix-tools (2.2.1-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-lunar-swri-prefix-tools (2.2.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-lunar-swri-prefix-tools (2.1.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-lunar-swri-prefix-tools (2.0.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-lunar-swri-prefix-tools (1.2.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-lunar-swri-prefix-tools (1.1.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-lunar-swri-prefix-tools (1.0.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.3.0-1stretch) stretch; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.2.4-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.2.3-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-lunar-swri-prefix-tools (0.2.2-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-lunar-swri-prefix-tools (0.2.1-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.2.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 21 Jun 2016 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.1.5-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.1.4-1stretch) stretch; urgency=high

  * Adds missing dependency for swri_prefix_tools
  * Contributors: Edward Venator

 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.1.3-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-lunar-swri-prefix-tools (0.1.2-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-lunar-swri-prefix-tools (0.1.1-1stretch) stretch; urgency=high

  * Properly installs the prefix scripts to the package share destination.
  * Contributors: Edward Venator

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000

ros-lunar-swri-prefix-tools (0.1.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 29 Sep 2015 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.0.14-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.0.13-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.0.12-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.0.11-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.0.10-1stretch) stretch; urgency=high

  * Adds missing dependency for swri_prefix_tools
  * Contributors: Edward Venator

 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-lunar-swri-prefix-tools (0.0.9-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-lunar-swri-prefix-tools (0.0.8-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-lunar-swri-prefix-tools (0.0.7-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 18 Nov 2015 06:00:00 -0000



=== debian/control ===
Source: ros-lunar-swri-prefix-tools
Section: misc
Priority: extra
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-lunar-swri-prefix-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-psutil
Description: Contains scripts that are useful as prefix commands for nodes started by roslaunch.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-swri-prefix-tools//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
